require( "scripts/style.lua" );
ReadFile( "scripts/pflogin.lua" );

TitleFont = {
  standardFont,
  30,
  BorderColor
};



SaveTypeFont = {
  standardFont,
  14,
  BorderColor
};

ClickHereFont = {
  standardFont,
  16,
  RedColor
};

WithPFFont= {
  standardFont,
  12,
  BorderColor
};


MakeDialog
{
	Bitmap
	{ 
		image="backgrounds/longdialog",
		x=kCenter,
		y=kCenter,
		
		ServerSaveLogin
		{
			x=0,y=0,w=kMax,h=kMax,
			mode=2,
			Window
			{
				x=0,y=0,w=kMax,h=kMax,
				name="loginwindow",
				Text
				{
					font = TitleFont,
					name = "advancedprofile",
					x=0,y=45,w=kMax,h=30,
					flags = kHAlignCenter + kVAlignTop,
					label = "advancedprofile"
				};
				
				MakeLogin();
				
				
				
				
				Text
				{
					font = WithPFFont,
					name = "loadgameinfo",
					x=60,y=430,w=kMax-60,h=200,
					flags = kHAlignLeft + kVAlignTop,
					label = "loadgameinfo",
					padding=0
				};
				
				
				
			
				
					
				SetStyle(StandardButtonStyle);
				Bitmap
				{
					x=kCenter,
					y=275,
					image="buttons/dialog_button_a4",
					padding = 0,
					Text
					{
						x = 0, y = 0, w=kMax, h=kMax,
						flags = kHAlignCenter + kVAlignCenter,
						label="doload",
					}
				},
				Button
				{
					x=kCenter,
					y=275,
					name="enterok",
					label="doload",
					padding = 0,
					command = 
						function()
							RefreshButton("enterok");
							LoadSSSG();
						end
				},
				
				Button
				{
					x=kCenter,
					y=350,
					name="entercancel",
					label="donotload",
					padding = 0,
					command = 
						function()
							PopModal();
						end
				};
				
				SetStyle(DefaultStyle);
			};
			
			MakeResponseWindow();
			MakeDownloadAvailable();
		};
		
		
		
	},
	
	SetFocus( "nameedit" )
}



